import requests
import json
import numpy as np


# URL for the Flask API
url = 'http://localhost:5000/predict'

# input data for the model (as a dictionary)
input_data = {
    'calendarYear': 2,
    'hospitalType': 1,
    'gender': 1,
    'age': 30,
    'daysofTreatment': 5,
}

# send a POST request to the Flask API with the input data
response = requests.post(url, data=json.dumps(input_data))

# extract the predictions from the response (as a NumPy array)
predictions = np.array(response.json())

print('Predictions:', predictions)
