from flask import Flask, request, jsonify
import pickle

app = Flask(__name__)


@app.route('/predict', methods=['POST'])
def predict():
    # load the saved model
    clf = pickle.load(open('clf.pkl', 'rb'))
    lboost = pickle.load(open('lboost.pkl', 'rb'))
    regr3 = pickle.load(open('regr3.pkl', 'rb'))

    # get the input data from the request
    data = request.get_json(force=True)

    # pre-process the input data and make predictions
    prediction_clf = clf.predict(data)
    prediction_lboost = lboost.predict(data)
    prediction_regr3 = regr3.predict(data)

    return jsonify([prediction_clf, prediction_lboost, prediction_regr3] )
