
import pandas as pd
from sklearn.model_selection import train_test_split
from sklearn.metrics import roc_auc_score
from sklearn.linear_model import LogisticRegression
from sklearn.naive_bayes import GaussianNB
from sklearn.model_selection import GridSearchCV
from sklearn import tree
from sklearn.feature_selection import chi2, f_classif, SelectKBest, mutual_info_classif
from sklearn.base import clone
from logitboost import LogitBoost
from sklearn import preprocessing
from skrebate import ReliefF
import random
import numpy as np
from sklearn.metrics import classification_report
from sklearn.metrics import confusion_matrix
import seaborn as sns  # used for plot interactive graph.
import matplotlib.pyplot as plt  # this is used for the plot the graph
from weka.core.dataset import create_instances_from_matrices
import weka.core.jvm as jvm
from weka.classifiers import Classifier
from weka.core.dataset import Attribute, Instance, Instances
from weka.core.converters import Loader
from weka.core.converters import Loader
from weka.classifiers import Evaluation
from weka.core.classes import Random

jvm.start(system_cp=True, packages=True)
data_dir = "data/"


loader = Loader(classname="weka.core.converters.ArffLoader")
data = loader.load_file(data_dir + "Hospital Treatment Factors - Region Nis Serbia 2006-2009.arff")
data.class_is_last()
cls = Classifier(classname="weka.classifiers.functions.Logistic")
cls.build_classifier(data)
evl = Evaluation(data)
evl.crossvalidate_model(cls, data, 10, Random(1))
print(evl.summary())
print(evl.class_details())
print(evl.weighted_area_under_roc)